body{
    margin: 0 auto;
    padding: 70px 0 0 0;
    font-family: sans-serif;

    box-sizing: border-box;
}
*{
    margin: 0 auto;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

.navbar{
    display: flex;
    align-items: center;
    width: 100vw;
    height: 70px;
    background: rgb(255,255,255);
    background: linear-gradient( rgba(255,255,255,1) 0%, rgba(255,255,255,0.9724264705882353) 82%, rgba(255,255,255,0.7763480392156863) 95%, rgba(50,50,50,0) 100%);
    position: fixed;
    top: 0;

    z-index: 100;
}

.logo{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    align-items: center;
    margin-bottom: 50px;
}
.logo img{
    height: 24%;
    width: 24%;

}
.text-logo p{
   
    border-bottom: 1px solid rgb(126, 18, 18) ;
    margin-bottom: 10px;

    font-size: 16px;
    font-weight: 600;
}

.func{
    
    display: flex;
    align-items: center;
    list-style: none;
    gap: 50px;
}
.func a{
    position: relative;
    display: inline-block;
    text-decoration: none;
    color: black;
    font-weight: 600;
    font-size: 17px;
    padding: 7px 22px;    
    transition: 0.5s ease;
    overflow: hidden;
    
    &:hover{
        color: rgb(124, 6, 6);
        
    } 
}
.func a::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 3px;
    width: 0%;
    height: 2px;
    background: rgb(124, 6, 6);
    transition: 0.5s ease;

}
.func a:hover::after{
    width: 100%;    
}


/* ----------------------------------------------------------- */

/* sessao SOBRE */
.sobre{
    
    display: flex;
    
 
}
.text-sobre{
    width: 40%;
    margin-top: 30px;
 
}
.text-sobre p{
    font-size: 25px;
    font-weight: 100;
    
    margin-bottom: 15px;
    color: rgb(255, 255, 255);
    
}
.titulo-sobre h2{
    display: flex;
    justify-content: flex-start;
    color: rgb(255, 255, 255);
    font-size: 35px;
    margin-bottom: 20px;
    border-bottom: 2px solid rgb(139, 40, 40);
}
#visita-tecnica{
    font-size: 19px;
    margin-top: 0px;
    color: rgb(235, 235, 235);
  
}

.botao-sobre{
   margin-top: 25px;
   
}
.botao-sobre button{
    margin-left: 10px;
    cursor: pointer;
    padding: 15px 50px;
    border-radius: 15px;
    border: none;
    background-color: rgb(230, 230, 230);
    color: rgb(32, 32, 32);
    font-size: 22px;
    font-weight: 800;

    box-shadow: -5px -5px 10px rgba(172, 172, 172, 0.555);

    transition: 0.3s ease-in-out ;

    &:hover{
        
        transform: translateX(8px);
        background-color: rgb(128, 17, 17);
        color: rgba(255, 255, 255, 0.911);
        box-shadow: -8px 8px 10px 3px rgba(90, 25, 25, 0.658);
    }
   
}



.video-sobre{
    width: 40%;
    display: flex;
    justify-content: center;
   
}


.video-container{
    width: 63%;
    height: 90%;
    
    overflow: hidden;
     border-radius: 20px;
     background-color: black;

     display: flex;
     justify-content: center;
     align-items: center;
    
}
.video-container video{
    width: 100%;
    height: 90%;
    margin-bottom: 20px;
}



/* -------------------------------------------------- */
/* sessao PARCEIROS MDO */
.intro-parceiros h2{
    display: flex;
    justify-content: center;
    text-align: center;
    color: rgb(53, 53, 53);

    font-size: 38px;
    font-weight: 700;

    margin-bottom: 20px;
 
    }

    .intro-parceiros p{
        font-size: 18px;
        width: 80%;
       text-align: center;

       margin-bottom: 10px;
    }


    .card-parceiro{
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 8px;
        height: 200px;
        width: 180px;
        /* box-shadow:  10px 10px rgb(170, 170, 170); */
        box-shadow: 0 12px 10px rgba(0, 0, 0, 0.377);
        background-color: rgb(207, 207, 207);
        transition: 0.5s ease-in-out;

        &:hover{
            transform: translateY(-10px);
            cursor: pointer;
        }

    }

    .container-parceiros{
        margin-top: 50px;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
        flex-wrap: wrap;
    }
    .parceiro{
        width: 160px;
        height: 130px;
    }
    .parceiro img {
        height: 100%;
        width: 100%;
        
    }

    
/* ---------------------------------------------- */


/* sessao dos SERVICOS */
    .titulo-servicos h2{
    display: flex;
    justify-content: center;
    color: rgb(53, 53, 53);

    font-size: 38px;
    font-weight: 700;

    margin-bottom: 30px;
 
    }


    .container-servicos{
        display: flex;
        flex-direction: row-reverse;
        gap: 10px;
    
    }

    .container-texto{
        width: 50%;
        padding: 25px;
        
        
        /* background-color: rgb(100, 100, 100); */
        
        color: black;
        
        height: 340px;
        
        

    }
    .container-lista{
        width: 50%;
        padding: 25px;
        /* background-color: rgb(100, 100, 100); */
        border-right: 3px solid rgb(155, 24, 24);
   
        color: black;
        
        
    }
    .subtitulo-servicos h3{
        display: flex;
        justify-content: center;
        text-align: center;
        font-size: 23px;
        margin-bottom: 15px;
    }
    .texto-servicos p{
        font-size: 18px;
        margin-bottom: 15px;
    }
    .texto-servicos a{
        text-decoration: none;
        margin-left: 10px;
        color: rgb(155, 24, 24);
        font-size: 20px;
        /* border-bottom: 2px solid rgb(155, 24, 24); */
    }


    
.lista-servicos h3{
    width: 100%;
    display: flex;
    justify-content: center;
    font-size: 23px;
    margin-bottom: 15px ;
}
.lista{
    display: flex;
    gap: 40px;
}
.lista-servicos li{
    list-style: none;
    margin-bottom: 10px;
    font-size: 18px;
    
}





/* --------------------------------------------------- */

/* sessao portifolio */

.titulo-portifolio h2{
    display: flex;
    justify-content: center;
    color: white;

    font-size: 38px;
    font-weight: 700;

    margin-bottom: 50px;
 
    }

    .container-servicos{
        display: flex;
    }

    .container-portifolio{
        
        display: grid;
        gap: 20px;
        grid-auto-flow: row;
        grid-template-columns: repeat(3, 1fr);
        flex-wrap: wrap;

    }

.container-servico-portifolio{
    width: 250px;
    height: 300px;

    border-radius: 10px;
    
   
    margin-bottom: 40px;
    transition: 0.5s ease-in-out;

    &:hover{
        cursor: pointer;

        .fotos-portifolio img{
            box-shadow: 0 8px 14px rgba(0, 0, 0, 0.589);
        }
        .titulo-servico-portifolio{
            background-color: rgb(114, 36, 36);
            color: white;
        }
        
    }

}   

.fotos-portifolio{
    height: 80%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.fotos-portifolio img{
    width: 100%;
    height: 100%;
    border-radius: 5px;
    transition: 0.6s ease-in-out;
    margin-bottom: 20px;

}


.titulo-servico-portifolio{

 display: flex;
 padding: 10px;
 width: 100%;
 align-items: center;
 justify-content: center;  
 text-align: center; 
 border-radius: 7px;
 transition: 0.4s ease-in-out;
 

}

/* sessao portifolio parte dos modais de servicos */

.modal-portifolio {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.829);
    backdrop-filter: blur(6px);
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


.modal-content {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
    max-width: 110vw;
    max-height: 80vh;
}

/* Imagem principal */
#modalImage {
    max-width: 70vw;
    max-height: 70vh;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.2);
    object-fit: contain;
}

/* Botões de navegação */
.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.2);
    border: none;
    color: white;
    font-size: 2rem;
    cursor: pointer;
    padding: 8px 18px;
    border-radius: 30px;
    transition: 0.3s;
    z-index: 1;


}

.prev:hover,
.next:hover {
    background-color: rgba(255, 255, 255, 0.4);
}

.prev {
    left: 100px;
}

.next {
    right: 100px;
}


.close-modal {
    position: absolute;
    top: 25px;
    right: 85px;
    font-size: 60px;
    color: #fff;
    cursor: pointer;
    z-index: 2;

}

/* Miniaturas */
.thumbnail-container {
    display: flex;
    margin-top: 60px;
    position: absolute;
    bottom: 50px;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    max-width: 90vw;
}

.thumbnail-container img {
    width: 80px;
    height: 60px;
    object-fit: cover;
    border-radius: 6px;
    cursor: pointer;
    transition: transform 0.2s, border 0.2s;
    border: 2px solid transparent;
}

.thumbnail-container img:hover,
.thumbnail-container img.active {
    transform: scale(1.05);
    border-color: #fff;
}


/* --------------------------------------------------------- */
/* footer */
.container-footer{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.footer-logo{
    width: 40%;
    display: flex;
    align-items: center;
}
.footer-logo img{
    width: 68%;
    /* width: 350px; */ 
    height: auto;
   
}





.infos-footer{
    width: 60%;
   display: flex;
   flex-wrap: wrap;

   gap: 40px;
   
}
.contatos-footer{
    padding: 15px;
}
.contatos-footer h4{
 font-size: 20px;
}
.contatos-footer li{
    border-bottom: 1px solid  rgb(114, 36, 36);
    margin-top: 12px;
    list-style: none;
}
.container-footer a{
    color: black;
    text-decoration: none;
}
.contatos-footer i{
    margin-right: 6px;
}

.social-footer{
    padding: 15px;
}
.social-footer h4{
    font-size: 20px;
}
.social-footer li{
    border-bottom: 1px solid  rgb(114, 36, 36);
    list-style: none;
    margin-top: 12px;
}

.lista-social-footer{
    display: flex;
}
.lista-social-footer li{
    border-bottom: none;
}
.lista-social-footer i{
    font-size: 30px;
    margin-top: 6px;
    transition: 0.3s ease-in-out;
    height: 40px;
    width: 40px;
    &:hover{
        transform: scale(1.15);
    }
}

.copyright-footer{
    position: relative;
   bottom: 0;
    left: 0;

    display: flex;
    align-items: center;
    color: white;

    width: 100%;
    height: 40px;
    background-color:  rgb(114, 36, 36);
}
/* -------------------------------------------------------------- */
/* whatsapp span */

.container-whatsapp-span{
    height: 60px;
    width: 60px;
    border-radius: 80px;
    background-color: rgba(238, 238, 238, 0.76);
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.315);
    
    display: flex;
    align-items: center;
    justify-content: center;

    position: fixed;
    bottom: 35px;
    right: 40px;
    transition: 0.3s ease-in-out;

    &:hover{
        cursor: pointer;
        transform: scale(1.12);
        background-color: rgba(238, 238, 238, 0.096);

    
    }
}




/* larguras padroes das sessoes */

section{

    max-width: 100%;
    box-sizing: border-box;
}

#mdo{
    background-color: rgba(255, 255, 255, 0.178);

}
#sobre{
    background: rgb(32, 32, 32);
    min-height: 50vh !important; 
   
    padding: 50px;
}
#parceiros-mdo{
    background-color: white;
    padding: 50px;
    
}
#servicos{
    background-color: rgb(247, 247, 247);
    padding: 50px;
}
#portifolio{
    background: #262626;
    background: linear-gradient( rgba(38, 38, 38, 1) 0%, rgba(145, 145, 145, 1) 41%, rgba(255, 255, 255, 1) 100%);
    padding: 50px;
}
#contatos{
   
    background-color: rgb(250, 250, 250);
    border-top: 5px solid rgb(155, 24, 24);
    border-left: 30px solid rgb(114, 36, 36);
    border-right: 30px solid rgb(114, 36, 36);
    
}




/* responsividade a todo vapor */
/* Telas grandes acima de 1200px */
@media (min-width: 1201px) {
    /* layout com múltiplas colunas */
   
}

@media (max-width: 1200px) {
    

    .card-parceiro{
        height: 180px;
        width: 160px;
    }
    .parceiro{
        height: 120px;
        width: 150px;
    }
    
}

/* Dispositivos até 1024px (tablets e notebooks pequenos) */
@media (max-width: 1024px) {
 
  

  .logo img{
    height: 28%;
    width: 28%;
  }
  .text-sobre p{
      font-size: 22px;
  }
  .video-container{
      height: 75%;
      width: 95%;
  }

  .container-servico-portifolio{
      width: 210px;
      height: 260px;
  }
  .contatos-footer a{
      font-size: 14px;
  }
  .social-footer a{
      font-size: 14px;
  }

  .container-parceiros{
    display: grid;
    grid-auto-flow: row; /* direciona preenchimento por colunas */
    grid-template-columns: repeat( 3, 1fr); /* 3 linhas fixas */
    gap: 30px;
}
  
  .card-parceiro{
      margin-bottom: 20px;
  }

  .thumbnail-container {
    bottom: 30px;
    
}
  
}
/* Dispositivos até 768px (tablets em modo retrato) */
@media (max-width: 768px) {
    #sobre{
        padding: 50px 0px;
    }
    #parceiros-mdo{
        padding: 50px 20px;
    }
    #portifolio{
        padding: 50px 0px;
    }
    #servicos{
        padding: 50px 0px;
    }

   .logo img{
    width: 33%;
   }

  .func{
      gap: 30px;
  }
  .func a{
      font-size: 15px;
     
  }

  .text-sobre p{
      font-size: 16px;
  }

  

  .titulo-sobre h2{
    font-size: 32px;
  }

  .botao-sobre button{
    padding: 8px 20px;
    font-size: 18px;
    margin-left: 0;
  }
  
  
  .intro-parceiros h2{
      font-size: 32px;
  }
  .card-parceiro{
      height: 160px;
      width: 140px;
  }
  .parceiro{
      height: 100px;
      width: 130px;
  }
  
  
  .titulo-servicos h2{
      font-size: 32px;
  }
  .texto-servicos p{
      font-size: 15px;
  }
  .lista-servicos li{
      font-size: 15px;
  }
  
  .container-portifolio{
        
        display: grid;
        gap: 20px;
        grid-auto-flow: row;
        grid-template-columns: repeat(2, 1fr);
        flex-wrap: wrap;

    }

  .container-whatsapp-span{
    height: 50px;
    width: 50px;
  }
  .container-whatsapp-span img{
    width: 40px;
  }

.prev {
    left: 60px;
}

.next {
    right: 60px;
}

  .footer-logo img{
    width: 80%;
  }
  
}

@media (max-width:650px) {
    .navbar{
        display: none;
    }

    .text-logo p{
        font-size: 14px;
    }

    .logo img{
        width: 37%;
        height: 37%;
    }
    .container-servicos{
        flex-direction: column-reverse;
    }

    .container-texto{
        width: 100%;
    }
    .container-lista{
       text-align: center;
        width: 90%;
        padding: 15px 15px;
        border-right: none;
        border-bottom: 3px solid rgb(155, 24, 24);

    }


    .container-texto p{
        text-align: center;
        padding: 0px 15px;
    }

    .container-parceiros{
        display: grid;
        grid-auto-flow: row; /* direciona preenchimento por colunas */
        grid-template-columns: repeat( 2, 1fr); /* 3 linhas fixas */
        gap: 30px;
    }


    .prev {
    left: 40px;
}

.next {
    right: 40px;
}

  }

  @media (max-width:550px) {
    .navbar{
        display: none;
    }

    .logo img{
        width: 40%;
    }

      .text-sobre{
        margin-top: 0px;
    }   

      .container-portifolio{
        
        display: grid;
        gap: 20px;
        grid-auto-flow: row;
        grid-template-columns: repeat(1, 1fr);
        flex-wrap: wrap;

    }

    .prev{
        left: 20px;
    }
    .next {
        right: 20px;
    }
  }

/* Celulares até 480px */

@media (max-width: 480px) {
    .logo{
        flex-direction: column;
    }
    .logo img{
        width: 60%;
        height: 60%;
        margin-bottom: 15px;
    }
    .logo p{
        font-size: 16px;
    }

    .sobre{
        flex-direction: column;
    }

    .text-sobre{
        padding: 40px;
        margin-top: 0px;
        width: 100%;
    }

    .video-sobre{
    width: 80%;
    display: flex;
    
   
}


.video-container{
    width: 68%;
    height: 100%;
    
    overflow: hidden;
     border-radius: 20px;
     background-color: black;

     display: flex;
     justify-content: center;
     align-items: center;
    
}
.video-container video{
    width: 85%;
   border-radius: 8px;
   
}

     .card-parceiro{
      height: 145px;
      width: 125px;
  }
  .parceiro{
      height: 85px;
      width: 115px;
  }

  .titulo-servicos h2{
    width: 100%;
    text-align: center;
    justify-content: center;

   
  }

  .container-footer{
    flex-direction: column;
  }

  .footer-logo{
    width: 100%;
  }
  .footer-logo img{
    width: 60%;
}

.infos-footer{
    width: 100%;
    padding: 15px;
}

  .social-footer{
    justify-content: baseline;
  }


  .close-modal {
    position: absolute;
    top: 25px;
    right: 40px;
    font-size: 60px;
    color: #fff;
    cursor: pointer;
    z-index: 2;

}


  }
  

@media (max-width: 380px) {

    .footer-logo img{
    width: 80%;
}

.infos-footer{
    width: 100%;
    padding: 15px;
}

    .copyright-footer p{
        font-size: 13px;
    }

    .prev {
        top: 60%;
        left: 5px;
    }

    .next {
        top: 60%;
        right: 5px;
    }

}